### Hierarchy

- ZBLogger

## Index

### Constructors

- constructor

### Properties

- loglevel

### Methods

- debug
- error
- info
- log

## Constructors

### constructor

- new ZBLogger(__namedParameters?: object): ZBLogger

- - Defined in lib/ZBLogger.ts:11

  #### Parameters

  - ##### Default value __namedParameters: object = { loglevel: 'INFO' }

    - ##### color: undefined | Chalk

    - ##### colorise: undefined | false | true

    - ##### id: undefined | string

    - ##### loglevel: "INFO" | "DEBUG" | "NONE" | "ERROR"

    - ##### namespace: undefined | string | string[]

    - ##### stdout: any

    - ##### taskType: undefined | string

  #### Returns ZBLogger

## Properties

### loglevel

loglevel: Loglevel

- Defined in lib/ZBLogger.ts:5

## Methods

### debug

- debug(message: any, ...optionalParameters: any[]): void

- - Defined in lib/ZBLogger.ts:58

  #### Parameters

  - ##### message: any

  - ##### Rest ...optionalParameters: any[]

  #### Returns void

### error

- error(message: any, ...optionalParameters: any[]): any

- - Defined in lib/ZBLogger.ts:47

  #### Parameters

  - ##### message: any

  - ##### Rest ...optionalParameters: any[]

  #### Returns any

### info

- info(message: any, ...optionalParameters: any[]): void

- - Defined in lib/ZBLogger.ts:43

  #### Parameters

  - ##### message: any

  - ##### Rest ...optionalParameters: any[]

  #### Returns void

### log

- log(message: any, ...optionalParameters: any[]): void

- - Defined in lib/ZBLogger.ts:65

  #### Parameters

  - ##### message: any

  - ##### Rest ...optionalParameters: any[]

  #### Returns void

Generated using TypeDoc